# -*- coding: UTF-8 -*

"""Modèles base de données ScoDoc
XXX version préliminaire ScoDoc8 #sco8 sans département
"""

CODE_STR_LEN = 16  # chaine pour les codes
SHORT_STR_LEN = 32  # courtes chaine, eg acronymes
APO_CODE_STR_LEN = 24  # nb de car max d'un code Apogée
GROUPNAME_STR_LEN = 64

from app.models.raw_sql_init import create_database_functions

from app.models.absences import Absence, AbsenceNotification, BilletAbsence

from app.models.departements import Departement

from app.models.entreprises import (
    Entreprise,
    EntrepriseCorrespondant,
    EntrepriseContact,
)
from app.models.etudiants import (
    Identite,
    Adresse,
    Admission,
    ItemSuivi,
    ItemSuiviTag,
    itemsuivi_tags_assoc,
    EtudAnnotation,
)
from app.models.events import Scolog, ScolarNews
from app.models.formations import Formation, Matiere
from app.models.modules import Module, ModuleUECoef, NotesTag, notes_modules_tags
from app.models.ues import UniteEns
from app.models.formsemestre import (
    FormSemestre,
    FormSemestreEtape,
    FormationModalite,
    FormSemestreUECoef,
    FormSemestreUEComputationExpr,
    FormSemestreCustomMenu,
    FormSemestreInscription,
    notes_formsemestre_responsables,
    NotesSemSet,
    notes_semset_formsemestre,
)
from app.models.moduleimpls import (
    ModuleImpl,
    notes_modules_enseignants,
    ModuleImplInscription,
)
from app.models.evaluations import (
    Evaluation,
    EvaluationUEPoids,
)
from app.models.groups import Partition, GroupDescr, group_membership
from app.models.notes import (
    ScolarEvent,
    ScolarFormSemestreValidation,
    ScolarAutorisationInscription,
    BulAppreciations,
    NotesNotes,
    NotesNotesLog,
)
from app.models.preferences import ScoPreference, ScoDocSiteConfig

from app.models.but_refcomp import (
    ApcReferentielCompetences,
    ApcCompetence,
    ApcSituationPro,
    ApcAppCritique,
)
